启动小程序项目报错 initAutoImportComponents is not a function

启动小程序项目报错 initAutoImportComponents is not a function

猜测可能是依赖包版本有问题,所以把所依赖的包都使用latest(最新的),修改package.json文件

原package.json文件

修改如下

这几项的依赖都更换为最新版本,然后运行npm install,虽然不报上面的错误,但是还有新的错误,截图如下

应该是新的版本需要安装新的依赖包

原依赖包如下

修改依赖包如下:

然后运行npm install重新安装依赖,再运行npm run serve,成功了